Subject: bug#45199: 28.0.50; [PATCH] Make goto-char offer the number at point as default

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Dec 2020 14:14:19 +0100

Daniel Martín <[email-masked]> writes:

> Oh, I forgot about number-at-point.  It extracts numbers that don't make
> sense here (like floating point or negative numbers), but we can easily
> filter them with natnump.  I've attached a new patch; do you feel it's
> still necessary to extract the logic in a helper?

Yeah, I'd still rather have a helper function -- putting several lines
of Lisp code in a string in C isn't optimal.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no